package com.bocloud.cmp.model.installation.catalog;

import com.alibaba.fastjson.JSONObject;

/**
 * 物理机磁盘信息类
 *
 * @author Shaolong_tan
 */
public class Disk {
    /**
     * 磁盘
     */
    private String devicePath;
    /**
     * 磁盘名称
     */
    private String modelName;
    /**
     * 外围设备类型
     */
    private String peripheralType;
    /**
     * 修正版本
     */
    private String revision;
    /**
     * 转动
     */
    private String rotational;
    /**
     * scsi信息
     */
    private String scsiInfo;
    /**
     * 大小
     */
    private String size;
    /**
     * 制造商
     */
    private String vendor;

    /**
     * @return the devicePath
     */
    public String getDevicePath() {
        return devicePath;
    }

    /**
     * @param devicePath the devicePath to set
     */
    public void setDevicePath(String devicePath) {
        this.devicePath = devicePath;
    }

    /**
     * @return the modelName
     */
    public String getModelName() {
        return modelName;
    }

    /**
     * @param modelName the modelName to set
     */
    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    /**
     * @return the peripheralType
     */
    public String getPeripheralType() {
        return peripheralType;
    }

    /**
     * @param peripheralType the peripheralType to set
     */
    public void setPeripheralType(String peripheralType) {
        this.peripheralType = peripheralType;
    }

    /**
     * @return the revision
     */
    public String getRevision() {
        return revision;
    }

    /**
     * @param revision the revision to set
     */
    public void setRevision(String revision) {
        this.revision = revision;
    }

    /**
     * @return the rotational
     */
    public String getRotational() {
        return rotational;
    }

    /**
     * @param rotational the rotational to set
     */
    public void setRotational(String rotational) {
        this.rotational = rotational;
    }

    /**
     * @return the scsiInfo
     */
    public String getScsiInfo() {
        return scsiInfo;
    }

    /**
     * @param scsiInfo the scsiInfo to set
     */
    public void setScsiInfo(String scsiInfo) {
        this.scsiInfo = scsiInfo;
    }

    /**
     * @return the size
     */
    public String getSize() {
        return size;
    }

    /**
     * @param size the size to set
     */
    public void setSize(String size) {
        this.size = size;
    }

    /**
     * @return the vendor
     */
    public String getVendor() {
        return vendor;
    }

    /**
     * @param vendor the vendor to set
     */
    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
